# RevokeNameOptions | Stacks.js 1.4.1 Library Reference
Documentation for Stacks.js 1.4.1 Library Reference

Revoke name options

param

  the fully qualified name to revoke including the namespace (myName.id)

param

  the private key to sign the transaction

param

  the Stacks blockchain network to use

### Hierarchy

- RevokeNameOptions

## Index

### Properties

- fullyQualifiedName
- network
- publicKey

## Properties

### fullyQualifiedName

fullyQualifiedName: string

- Defined in packages/bns/src/index.ts:704

### network

network: StacksNetwork

- Defined in packages/bns/src/index.ts:706

### publicKey

publicKey: string

- Defined in packages/bns/src/index.ts:705

Generated using TypeDoc